package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.Testing.ShowCurrentConfigurationTests;
import _VisualDVM.TestingSystem.DVM.DVMConfiguration.DVMConfiguration;
public class ShowCurrentDVMConfigurationTests extends ShowCurrentConfigurationTests<DVMConfiguration> {
    @Override
    public Class currentClass() {
        return DVMConfiguration.class;
    }
    @Override
    protected void showPreparation() throws Exception {
        super.showPreparation();
        Global.testingServer.db.dvmSettings.getUI().SelectAll(false);
    }
    @Override
    protected void showDone() throws Exception {
        Global.testingServer.db.groups.getUI().SelectKeys(Global.testingServer.db.getDVMConfigurationGroupsIds(target));
        Global.testingServer.db.tests.getUI().SelectKeys(Global.testingServer.db.getDVMConfigurationTestsIds(target));
        Global.testingServer.db.dvmSettings.getUI().SelectKeys(Global.testingServer.db.getDVMConfigurationSettingsIds(target));
    }
}
